
Redmine - Defect #20490

WARNING: Can't mass-assign protected attributes for User

2015-08-06 12:54 - Pavel Potcheptsov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 3.1.1   

Resolution: Fixed Affected version: 3.1.0

Description

I got this warning when untick Administrator in user's settings.

I also thought that I will be asked for password as required by new Sudo mode, but I haven't been asked.

WARNING: Can't mass-assign protected attributes for User: login

    lib/redmine/safe_attributes.rb:84:in `safe_attributes='

    app/controllers/users_controller.rb:135:in `update'

    lib/redmine/sudo_mode.rb:63:in `sudo_mode'

Associated revisions

Revision 14550 - 2015-09-12 13:11 - Jean-Philippe Lang

WARNING: Can't mass-assign protected attributes for User (#20490).

Revision 14551 - 2015-09-12 13:12 - Jean-Philippe Lang

Merged r14550 (#20490).

History

#1 - 2015-09-05 05:28 - Toshi MARUYAMA

- Status changed from New to Confirmed

- Target version set to 3.1.1

#2 - 2015-09-12 13:12 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

http://www.tcpdf.org

